Subject: bug#13138: closed (Re: bug#13138: f90-mode indent preprocessor command after continuation line)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 11 Dec 2012 04:48:02 +0000

Your bug report

#13138: f90-mode indent preprocessor command after continuation line

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13138: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13138
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13138: f90-mode indent preprocessor command after continuation line
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Mon, 10 Dec 2012 23:46:50 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.4

rogue-spectre wrote:

> w = something &
> #ifdef IJK
> + updateforijk
> #elif VECTOR
> + updateforvector
> #endif
>
> when one execute f90-indent-subprogram either by C-M-q or by the f90 menu, one gets :
>
> w = something &
> #ifdef IJK
> + updateforijk
> #elif VECTOR
> + updateforvector
> #endif
>
> so the first #ifdef is indented and it should not.

Thanks for the report. I think you forgot to indent your second example,
but I see what you mean. Fixed in trunk. (The indentation of the code
statement inside the #else branch still is not correct, but I don't
think that's worth bothering about.)

Subject: f90-mode indent preprocessor command after continuation line
From: rogue-spectre <[email-masked]>
To: [email-masked]
Date: Tue, 11 Dec 2012 00:25:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

hi,

i recently wanted to use emacs f90-mode in order to proper indent a big program in which one can find lines like this :

w = something &
#ifdef IJK
+ updateforijk
#elif VECTOR
+ updateforvector
#endif

when one execute f90-indent-subprogram either by C-M-q or by the f90 menu, one gets :

w = something &
#ifdef IJK
+ updateforijk
#elif VECTOR
+ updateforvector
#endif

so the first #ifdef is indented and it should not.

have a nice day 

Une messagerie gratuite, garantie à vie et des services en plus, ça vous tente ?
Je crée ma boîte mail www.laposte.net